version: "3.8"
   
services:
    django:
        build: 
            context: .
            dockerfile: Dockerfile
            args:
              - USER_ID=1000
        image: gallery-archivist:dev
        #container_name: django
        command: > 
                sh -c "cd archivist 
                && python manage.py runserver 0.0.0.0:8000"
        volumes:
            - .:/app/
        ports:
            - "8000:8000"
        environment:
            #- DJANGO_SETTINGS_MODULE=core.settings.production
            - DEBUG=1
            - DJANGO_ALLOWED_HOSTS=localhost 127.0.0.1 [::1] northpaw.aroy.hs.tun:8000
            - CELERY_BROKER=redis://redis:6379/0
        depends_on:
            #- pgdb
            - redis

    celery-worker:
        #build: .
        image: gallery-archivist:dev
        #container_name: celery_worker
        command: > 
                sh -c "cd archivist 
                && celery -A core worker -l INFO"
        volumes:
            - .:/app/
        environment:
            - DEBUG=1
            - DJANGO_ALLOWED_HOSTS=localhost 127.0.0.1 [::1]
            - CELERY_BROKER=redis://redis:6379/0
        depends_on:
            - django
            - redis

    celery-beat:
        #build: .
        image: gallery-archivist:dev
        command: > 
                sh -c "cd archivist 
                && celery -A core beat -l INFO"
        volumes:
            - .:/app/
        environment:
            - DEBUG=1
            - DJANGO_ALLOWED_HOSTS=localhost 127.0.0.1 [::1]
            - CELERY_BROKER=redis://redis:6379/0
        depends_on:
            - django
            - redis

    redis:
        image: "redis:alpine"
